Index: vtkProperty.h
===================================================================
RCS file: /cvsroot/VTK/VTK/Rendering/vtkProperty.h,v
retrieving revision 1.72
diff -u -r1.72 vtkProperty.h
--- vtkProperty.h	18 Oct 2006 16:38:48 -0000	1.72
+++ vtkProperty.h	26 Aug 2007 08:39:03 -0000
@@ -322,6 +322,56 @@
     }
 
   // Description:
+  // more methods for Python, it seems the wrapping can only
+  // distinguish overloaded methods by number of parameters and not by
+  // type, so in Python only the integer versions of the methods above
+  // are correctly wrapped.
+  void AddShaderVariableFloat(const char* name, float v1)
+  {
+    this->AddShaderVariable(name, v1);
+  }
+
+  void AddShaderVariableFloat(const char* name, float v1, float v2)
+  {
+    this->AddShaderVariable(name, v1, v2);
+  }
+  
+  void AddShaderVariableFloat(const char* name, float v1, float v2, float v3)
+  {
+    this->AddShaderVariable(name, v1, v2, v3);
+  }
+  
+  void AddShaderVariableDouble(const char* name, double v1)
+  {
+    this->AddShaderVariable(name, v1);
+  }
+
+  void AddShaderVariableDouble(const char* name, double v1, double v2)
+  {
+    this->AddShaderVariable(name, v1, v2);
+  }
+  
+  void AddShaderVariableDouble(const char* name, double v1, double v2, double v3)
+  {
+    this->AddShaderVariable(name, v1, v2, v3);
+  }
+  
+  void AddShaderVariableInt(const char* name, int v1)
+  {
+    this->AddShaderVariable(name, v1);
+  }
+
+  void AddShaderVariableInt(const char* name, int v1, int v2)
+  {
+    this->AddShaderVariable(name, v1, v2);
+  }
+  
+  void AddShaderVariableInt(const char* name, int v1, int v2, int v3)
+  {
+    this->AddShaderVariable(name, v1, v2, v3);
+  }
+  
+  // Description:
   // Set/Get the texture object to control rendering texture maps.  This will
   // be a vtkTexture object. A property does not need to have an associated
   // texture map and multiple properties can share one texture. Textures
